-- Author      : ketch
-- Create Date : 12/5/2020 2:48:40 PM


local addonname, NS_WishLists_Master = ...
local _G = getfenv(0)
local NS_WishLists_Master =_G.NS_WishLists_Master

NS_WishLists_Master.libDeflate = LibStub:GetLibrary("LibDeflate");

function NS_WishLists_Master:Compress(input_)
    -- Compress using raw deflate format
    local compress_deflate = NS_WishLists_Master.libDeflate:CompressDeflate(input_)
    return compress_deflate
end
function NS_WishLists_Master:Decompress(compress_deflate)
    -- Compress using raw deflate format
    local decompress_deflate = NS_WishLists_Master.libDeflate:DecompressDeflate(compress_deflate)
    return decompress_deflate
end
function NS_WishLists_Master:PrintCompressed(compress_deflate)
    -- Compress using raw deflate format
    local printable_compressed = NS_WishLists_Master.libDeflate:EncodeForPrint(compress_deflate)
    return printable_compressed
end
function NS_WishLists_Master:RecompressPrintable(printable_compressed)
    -- Compress using raw deflate format
    local compress_deflate = NS_WishLists_Master.libDeflate:DecodeForPrint(printable_compressed)
    return compress_deflate
end
