-- Author      : ketch
-- Create Date : 12/1/2020 6:46:10 PM


local addonname, NS_WishLists_Master = ...
local _G = getfenv(0)
local NS_WishLists_Master =_G.NS_WishLists_Master

local LibCompress = LibStub("LibCompress")
local LibEncode = LibCompress:GetAddonEncodeTable()
local libS = LibStub("AceSerializer-3.0")
local commPrefix = NS_WishLists_Master.commPrefix


---=====================================================---
function NS_WishLists_Master:OnCommReceive(prefix, data, distribution, sender)
    if sender == UnitName("player") then
        --return  --     skip player
    end
    local command, target_, value = data:match("^(%S+) (%w+) (.*)$")
    if not target_ then
        command, value = data:match("^(%S+) (.*)$")
    end
    --print("Sender: "..sender)
    --print("Command: "..command)
    if command == "MYWL"  then
    
        if target_ == "" or target_ == nil then --or target_ == UnitName("player") then
            return
        end

        target_ = tonumber(target_)
        --instance_id
        if not NS_WishLists_Master_Data_001["config"] then 
            NS_WishLists_Master_Data_001["config"] = {}
        end
        if not NS_WishLists_Master_Data_001["config"][target_] then 
            NS_WishLists_Master_Data_001["config"][target_] = {}
        end
        local deserialized_data = NS_WishLists_Master:decodeData(value,sender,command,target_)
        if deserialized_data then
            local update_data = true
            if NS_WishLists_Master_Data_001["config"][target_]["edit_locked"] then 
                return
            end
            if NS_WishLists_Master_Data_001["config"][target_]["edit_locked"] == nil then 
                NS_WishLists_Master_Data_001["config"][target_]["edit_locked"] = false
            end
            if not NS_WishLists_Master_Data_001["receivedWLS"] then
                NS_WishLists_Master_Data_001["receivedWLS"] = {}
            end
            if not NS_WishLists_Master_Data_001["receivedWLS"][sender] then
                NS_WishLists_Master_Data_001["receivedWLS"][sender] = {}
            end
            if NS_WishLists_Master_Data_001["receivedWLS"][sender][target_] then
                if NS_WishLists_Master_Data_001["config"][target_]["edit_locked"] == nil then 
                    NS_WishLists_Master_Data_001["config"][target_]["edit_locked"] = false
                end
                --if edit locked
                if NS_WishLists_Master_Data_001["config"][target_]["edit_locked"] then 
                    update_data = false
                end
                if NS_WishLists_Master_Data_001["config"][target_]["users_locks"] then
                    if NS_WishLists_Master_Data_001["config"][target_]["users_locks"][sender] then
                        if NS_WishLists_Master_Data_001["config"][target_]["users_locks"][sender]["edit_locked"] == false then
                            update_data = true
                        end
                    end
                end
            --wl !exists in stored data
            else
                if NS_WishLists_Master_Data_001["config"][target_]["create_locked"] == nil then 
                    NS_WishLists_Master_Data_001["config"][target_]["create_locked"] = false
                end
                --if create is locked
                if NS_WishLists_Master_Data_001["config"][target_]["create_locked"] then 
                    update_data = false
                end
                if NS_WishLists_Master_Data_001["config"][target_]["users_locks"] then
                    if NS_WishLists_Master_Data_001["config"][target_]["users_locks"][sender] then
                        if NS_WishLists_Master_Data_001["config"][target_]["users_locks"][sender]["create_locked"] == false then
                            update_data = true
                        end
                    end
                end

            end
            --if not NS_WishLists_Master_Data_001["receivedWLS"][sender][target_] then
            --    NS_WishLists_Master_Data_001["receivedWLS"][sender][target_] = {}
            --end
            if update_data then
                NS_WishLists_Master_Data_001["receivedWLS"][sender][target_] = deserialized_data
            end
        end
        return
    elseif command == "MYWLS"  then
        local deserialized_data = NS_WishLists_Master:decodeData(value,sender,command)
        if deserialized_data then
            local update_data = true
            if not NS_WishLists_Master_Data_001["config"] then 
                NS_WishLists_Master_Data_001["config"] = {}
            end
            if not NS_WishLists_Master_Data_001["receivedWLS"] then
                NS_WishLists_Master_Data_001["receivedWLS"] = {}
            end
            if not NS_WishLists_Master_Data_001["receivedWLS"][sender] then
                NS_WishLists_Master_Data_001["receivedWLS"][sender] = {}
            end--TODO
            for instance_id , prios in pairs( deserialized_data) do
                if not NS_WishLists_Master_Data_001["config"][instance_id] then 
                    NS_WishLists_Master_Data_001["config"][instance_id] = {}
                end
                --wl exists  in stored data
                if NS_WishLists_Master_Data_001["receivedWLS"][sender][instance_id] then
                    if NS_WishLists_Master_Data_001["config"][instance_id]["edit_locked"] == nil then 
                        NS_WishLists_Master_Data_001["config"][instance_id]["edit_locked"] = false
                    end
                    --if edit locked
                    if NS_WishLists_Master_Data_001["config"][instance_id]["edit_locked"] then 
                        update_data = false
                    end
                    if NS_WishLists_Master_Data_001["config"][instance_id]["users_locks"] then
                        if NS_WishLists_Master_Data_001["config"][instance_id]["users_locks"][sender] then
                            if NS_WishLists_Master_Data_001["config"][instance_id]["users_locks"][sender]["edit_locked"] == false then
                                update_data = true
                            end
                        end
                    end
                --wl !exists in stored data
                else
                    if NS_WishLists_Master_Data_001["config"][instance_id]["create_locked"] == nil then 
                        NS_WishLists_Master_Data_001["config"][instance_id]["create_locked"] = false
                    end
                    --if create is locked
                    if NS_WishLists_Master_Data_001["config"][instance_id]["create_locked"] then 
                        update_data = false
                    end
                    if NS_WishLists_Master_Data_001["config"][instance_id]["users_locks"] then
                        if NS_WishLists_Master_Data_001["config"][instance_id]["users_locks"][sender] then
                            if NS_WishLists_Master_Data_001["config"][instance_id]["users_locks"][sender]["create_locked"] == false then
                                update_data = true
                            end
                        end
                    end
                end
                if update_data then
                    NS_WishLists_Master_Data_001["receivedWLS"][sender][instance_id] = deserialized_data[instance_id]
                end
            end
        end
        return
    elseif command == "MYINFOS"  then
        local deserialized_data = NS_WishLists_Master:decodeData(value,sender,command)--:decodeData(value,sender,command,target_)--
        if deserialized_data then
            if not NS_WishLists_Master_Data_001["receivedUsers"] then
                NS_WishLists_Master_Data_001["receivedUsers"] = {}
            end
            if not NS_WishLists_Master_Data_001["receivedUsers"][sender] then
                NS_WishLists_Master_Data_001["receivedUsers"][sender] = {}
            end
            NS_WishLists_Master_Data_001["receivedUsers"][sender].infos = deserialized_data
        end
        return
    elseif command == "MYTALENTS"  then
        local deserialized_data = NS_WishLists_Master:decodeData(value,sender,command)--:decodeData(value,sender,command,target_)--
        if deserialized_data then
            if not NS_WishLists_Master_Data_001["receivedUsers"] then
                NS_WishLists_Master_Data_001["receivedUsers"] = {}
            end
            if not NS_WishLists_Master_Data_001["receivedUsers"][sender] then
                NS_WishLists_Master_Data_001["receivedUsers"][sender] = {}
            end
            NS_WishLists_Master_Data_001["receivedUsers"][sender].Talents = deserialized_data
        end
        return
    elseif command == "MYSTUFF"  then
        local deserialized_data = NS_WishLists_Master:decodeData(value,sender,command)--:decodeData(value,sender,command,target_)--
        if deserialized_data then
            if not NS_WishLists_Master_Data_001["receivedUsers"] then
                NS_WishLists_Master_Data_001["receivedUsers"] = {}
            end
            if not NS_WishLists_Master_Data_001["receivedUsers"][sender] then
                NS_WishLists_Master_Data_001["receivedUsers"][sender] = {}
            end
            NS_WishLists_Master_Data_001["receivedUsers"][sender].stuff = deserialized_data
        end
    elseif command == "MYLOCATION"  then
        local deserialized_data = NS_WishLists_Master:decodeData(value,sender,command)--:decodeData(value,sender,command,target_)--
        if deserialized_data then
            if not NS_WishLists_Master_Data_001["receivedUsers"] then
                NS_WishLists_Master_Data_001["receivedUsers"] = {}
            end
            if not NS_WishLists_Master_Data_001["receivedUsers"][sender] then
                NS_WishLists_Master_Data_001["receivedUsers"][sender] = {}
            end
            NS_WishLists_Master_Data_001["receivedUsers"][sender].location = deserialized_data
        end
        return
    elseif command == "MYFACTIONS"  then
        local deserialized_data = NS_WishLists_Master:decodeData(value,sender,command)--:decodeData(value,sender,command,target_)--
        if deserialized_data then
            if not NS_WishLists_Master_Data_001["receivedUsers"] then
                NS_WishLists_Master_Data_001["receivedUsers"] = {}
            end
            if not NS_WishLists_Master_Data_001["receivedUsers"][sender] then
                NS_WishLists_Master_Data_001["receivedUsers"][sender] = {}
            end
            NS_WishLists_Master_Data_001["receivedUsers"][sender].factions = deserialized_data
        end
        return
    elseif command == "MYWORKS"  then
        local deserialized_data = NS_WishLists_Master:decodeData(value,sender,command)--:decodeData(value,sender,command,target_)--
        if deserialized_data then
            if not NS_WishLists_Master_Data_001["receivedUsers"] then
                NS_WishLists_Master_Data_001["receivedUsers"] = {}
            end
            if not NS_WishLists_Master_Data_001["receivedUsers"][sender] then
                NS_WishLists_Master_Data_001["receivedUsers"][sender] = {}
            end
            NS_WishLists_Master_Data_001["receivedUsers"][sender].works = deserialized_data
        end
        return
    elseif command == "VERSION" then
        local deserialized_data = NS_WishLists_Master:decodeData(value,sender,command)
        if deserialized_data then
            if not NS_WishLists_Master_Data_001["clients_versions"] then
                NS_WishLists_Master_Data_001["clients_versions"] = {}
            end
            NS_WishLists_Master_Data_001["clients_versions"][sender] = deserialized_data
        end
        return
    elseif command == "VERSIONM" then
        local deserialized_data = NS_WishLists_Master:decodeData(value,sender,command)
        if deserialized_data then
            if not NS_WishLists_Master_Data_001["master_versions"] then
                NS_WishLists_Master_Data_001["master_versions"] = {}
            end
            NS_WishLists_Master_Data_001["master_versions"][sender] = deserialized_data
            NS_WishLists_Master:newVersionAvailable()
        end
        return
    end
end
---=====================================================---
function NS_WishLists_Master:decodeData(data, sender, command, target)
    local decoded_data = LibEncode:Decode(data)
    local decompressed_data, decompression_error = LibCompress:Decompress(decoded_data)
    if not target then
        target = "NA"
    end
    if not decompressed_data then
        --if  NS_WishLists_Master_Data_001.displayError.hide then
            NS_WishLists_Master:Print("decompression error: "..decompression_error.." from: "..sender.." cmd: "..command.." tgt: "..target)
        --end
        return data
    end
    local success, deserialized_data = libS:Deserialize(decompressed_data)
    if not success then
        --if  NS_WishLists_Master_Data_001.displayError.hide then
            NS_WishLists_Master:Print("deserialization error: "..deserialized_data.." from: "..sender.." cmd: "..command)
        --end
        return data
    end
    return deserialized_data
end
---=====================================================---
function NS_WishLists_Master:broadcast(msg, skip_yell)
    if (GetGuildInfo("player") ~= nil) then
        NS_WishLists_Master:SendCommMessage(commPrefix, msg, "GUILD","BULK");
    elseif (IsInGroup(LE_PARTY_CATEGORY_INSTANCE) and IsInInstance()) then
        NS_WishLists_Master:SendCommMessage(commPrefix, msg, "INSTANCE_CHAT");
    elseif (IsInRaid()) then
        NS_WishLists_Master:SendCommMessage(commPrefix, msg, "RAID");
    elseif (not skip_yell) then
        NS_WishLists_Master:SendCommMessage(commPrefix, msg, "YELL");
    else
        if (UnitName("player") == "Føcus") then -- debug
            NS_WishLists_Master:SendCommMessage(commPrefix, msg, "WHISPER","Føcus","BULK");
        else
            local targetName = UnitName("target");
            if targetName then 
            	NS_WishLists_Master:SendCommMessage(commPrefix, msg, "WHISPER", UnitName("target"),"BULK");
            end
        end
    end
end
---=====================================================---
function NS_WishLists_Master:SendSerialized(msg_prefix, data)
    local serialized_data = libS:Serialize(data)--NS_WishLists_Master_Data_001["WL_allowed_broadcasters"]
    local compressed_data = LibCompress:Compress(serialized_data)
    local transmit_data = LibEncode:Encode(compressed_data)
    -- Construct a comm string for the compressed data.
    local commString = msg_prefix.." "..transmit_data
    NS_WishLists_Master:broadcast(commString, true);
end
---=====================================================---
--VERSION
function NS_WishLists_Master:broadcast_Version()
    local client = NS_WishLists_Master:GetClientVersion()
    if client then
        NS_WishLists_Master:SendSerialized("VERSIONM", client)
    end
end
--MY TOON INFOS
function NS_WishLists_Master:broadcast_MyInfos()
    local myinfos = NS_WishLists_Master:getPlayerInfos()
    if myinfos then
        NS_WishLists_Master:SendSerialized("MYINFOS", myinfos)
    end
end
--MY COMPS
function NS_WishLists_Master:broadcast_MyComps()
    local mycomps = NS_WishLists_Master:scanTalents()
    if mycomps then
       -- NS_WishLists_Master:SendSerialized("MYTALENTS", mycomps)
    end
end
--MY WORKS
function NS_WishLists_Master:broadcast_MyWorks()
    local myworks = NS_WishLists_Master:scanTalents()
    if myworks then
       -- NS_WishLists_Master:SendSerialized("MYWORKS", myworks)
    end
end
--MY STUFF
function NS_WishLists_Master:broadcast_MyStuff()
    local stuff = NS_WishLists_Master:getUserStuff()
    if stuff then
        NS_WishLists_Master:SendSerialized("MYSTUFF", stuff)
    end
end
--MY TALENTS
function NS_WishLists_Master:broadcast_MyTalents()
    local talents = NS_WishLists_Master:scanTalents()
    if talents then
        NS_WishLists_Master:SendSerialized("MYTALENTS", talents)
    end
end
--LOCATION
function NS_WishLists_Master:broadcast_MyLocation()
    local location = NS_WishLists_Master:getPlayerPositionText()
    if location then
        NS_WishLists_Master:SendSerialized("MYLOCATION", location)
    end
end
--WLs
function NS_WishLists_Master:broadcast_MyWLS()
    local mywls = NS_WishLists_Master_Data_001["Toons"][NS_WishLists_Master.player_name]["MYWLS"]
    if mywls then
        NS_WishLists_Master:SendSerialized("MYWLS", mywls)
    end
end
function NS_WishLists_Master:broadcast_MyWL(instance_id)
    local mywl = NS_WishLists_Master_Data_001["Toons"][NS_WishLists_Master.player_name]["MYWLS"][instance_id]
    if mywl then
        NS_WishLists_Master:SendSerialized("MYWL "..instance_id, mywl)
    end
end
--FACTIONS
function NS_WishLists_Master:broadcast_Factions()
    local factions
    if factions then
        NS_WishLists_Master:SendSerialized("MYFACTIONS", factions)
    end
end
---=====================================================---