--NS_WishLists_Master

local addonname, NS_WishLists_Master = ...
local NS_WishLists_Master = {}
NS_WishLists_Master = LibStub("AceAddon-3.0"):NewAddon("NS_WishLists_Master",
    "AceConsole-3.0",
    "AceEvent-3.0"  ,
    "AceBucket-3.0" ,
    "AceComm-3.0"   ,
    "AceTimer-3.0"  ,
    "AceHook-3.0")
_G.NS_WishLists_Master = NS_WishLists_Master

--LIBS
NS_WishLists_Master.AceGUI = LibStub("AceGUI-3.0")
NS_WishLists_Master.AceConfigDialog = LibStub("AceConfigDialog-3.0")
NS_WishLists_Master.AceConfig = LibStub("AceConfig-3.0")
NS_WishLists_Master.AceRegistry = LibStub("AceConfigRegistry-3.0")
NS_WishLists_Master.icon = LibStub("LibDBIcon-1.0")
--ADDON COM
NS_WishLists_Master.commPrefix = "NS_MyWishList1";
NS_WishLists_Master.SelectedUsername = nil
--ADDON INFOS
NS_WishLists_Master.versionDescription = GetAddOnMetadata(addonname, "Notes")
NS_WishLists_Master.version            = GetAddOnMetadata(addonname, "Version")
NS_WishLists_Master.versionName        = GetAddOnMetadata(addonname, "Title")
NS_WishLists_Master.versionSubName     = GetAddOnMetadata(addonname, "CommVersion")
NS_WishLists_Master.versionSubName     = "CrispyClouds"
NS_WishLists_Master.tocversion         = select(4, GetBuildInfo())
NS_WishLists_Master.isClassic          = (WOW_PROJECT_ID == WOW_PROJECT_CLASSIC)

--VARS
NS_WishLists_Master.mainFrameIsVisible = false
NS_WishLists_Master.lastBoss = 0

NS_WishLists_Master.allWLS = function() return NS_WishLists_Master_Data_001["receivedWLS"] end;

--DEBUG MODE
NS_WishLists_Master.debug = true

--EVENTS
function NS_WishLists_Master:OnInitialize()
    self:InitLoadData()
    self:RegisterChatCommand("NSWM", "ChatCommand")
end

function NS_WishLists_Master:InitLoadData()
    if not NS_WishLists_Master_Data_001 then
        NS_WishLists_Master_Data_001 = {}
    end
end

function NS_WishLists_Master:OnEnable()
    NS_WishLists_Master.player_name = UnitName("player")
    self:Config_OnInitialize()
    self:RegisterComm(NS_WishLists_Master.commPrefix, "OnCommReceive")
--COMM=============================================================
    NS_WishLists_Master.broadcastAllData = (function()
        self:broadcast_Version()
        --self:newVersionAvailable()
        --self:broadcast_MyInfos()        -- username, class, race, level
        ----self:broadcast_MyComps()        -- competences
        ----self:broadcast_MyWorks()        -- métiers
        --self:broadcast_MyStuff()        -- stuff
        --self:broadcast_MyTalents()      -- talents
        --self:broadcast_MyWLS()          -- wls
        --self:broadcast_MyLocation()     -- location
        --self:broadcast_MyReputations()  -- réputations
    end)
    NS_WishLists_Master.shareData = (function(self)
        C_Timer.After(500, function()
            NS_WishLists_Master.broadcastAllData();
            NS_WishLists_Master.shareData();
        end)
    end)
    
    NS_WishLists_Master.broadcastAllData();
    NS_WishLists_Master.shareData();
    ---================================================================
    NS_WishLists_Master:RegisterEvent('CHAT_MSG_LOOT')
    NS_WishLists_Master:RegisterEvent('COMBAT_LOG_EVENT_UNFILTERED')
    --Display or not the splashscreen
    --if NS_WishLists_Master_Data_001.displaySplash.hide then
    --    NS_WishLists_Master:DrawSpashScr(UIPraent)
    --end
    --Welcame message
    self:Print("Hello "..NS_WishLists_Master.player_name)
end

function NS_WishLists_Master:OnDisable()
        -- Called when the addon is disabled
end
